# Class FormChangeItemModifierType

Class that represents form changing items

#### Hierarchy (view full)

- PokemonModifierType
  - FormChangeItemModifierType

#### Implements

- GeneratedPersistentModifierType

- Defined in src/modifier/modifier-type.ts:771

#####
Index

### Constructors

constructor

### Properties

formChangeItem
generatorId
group
iconImage
id
localeKey
newModifierFunc
selectFilter
soundName
tier

### Accessors

name

### Methods

getDescription
getOrInferTier
getPregenArgs
newModifier
setTier
withIdFromFunc

## Constructors

### constructor

- new FormChangeItemModifierType(formChangeItem): FormChangeItemModifierType

- #### Parameters

  - formChangeItem: FormChangeItem

  #### Returns FormChangeItemModifierType

  Overrides PokemonModifierType.constructor

  - Defined in src/modifier/modifier-type.ts:774

## Properties

### formChangeItem

formChangeItem: FormChangeItem

- Defined in src/modifier/modifier-type.ts:772

### generatorId

generatorId: string

Inherited from PokemonModifierType.generatorId

- Defined in src/modifier/modifier-type.ts:47

### group

group: string

Inherited from PokemonModifierType.group

- Defined in src/modifier/modifier-type.ts:50

### iconImage

iconImage: string

Inherited from PokemonModifierType.iconImage

- Defined in src/modifier/modifier-type.ts:49

### id

id: string

Inherited from PokemonModifierType.id

- Defined in src/modifier/modifier-type.ts:46

### localeKey

localeKey: string

Inherited from PokemonModifierType.localeKey

- Defined in src/modifier/modifier-type.ts:48

### `Protected` newModifierFunc

newModifierFunc: NewModifierFunc

Inherited from PokemonModifierType.newModifierFunc

- Defined in src/modifier/modifier-type.ts:53

### selectFilter

selectFilter: PokemonSelectFilter

Inherited from PokemonModifierType.selectFilter

- Defined in src/modifier/modifier-type.ts:200

### soundName

soundName: string

Inherited from PokemonModifierType.soundName

- Defined in src/modifier/modifier-type.ts:51

### tier

tier: ModifierTier

Inherited from PokemonModifierType.tier

- Defined in src/modifier/modifier-type.ts:52

## Accessors

### name

- get name(): string

- #### Returns string

  Overrides PokemonModifierType.name

  - Defined in src/modifier/modifier-type.ts:794

## Methods

### getDescription

- getDescription(scene): string

- #### Parameters

  - scene: default

  #### Returns string

  Overrides PokemonModifierType.getDescription

  - Defined in src/modifier/modifier-type.ts:798

### getOrInferTier

- getOrInferTier(poolType?): ModifierTier

- #### Parameters

  - poolType: ModifierPoolType = ModifierPoolType.PLAYER

  #### Returns ModifierTier

  Inherited from PokemonModifierType.getOrInferTier

  - Defined in src/modifier/modifier-type.ts:75

### getPregenArgs

- getPregenArgs(): any[]

- #### Returns any[]

  Implementation of GeneratedPersistentModifierType.getPregenArgs

  - Defined in src/modifier/modifier-type.ts:802

### newModifier

- newModifier(...args): Modifier

- #### Parameters

  - `Rest` ...args: any[]

  #### Returns Modifier

  Inherited from PokemonModifierType.newModifier

  - Defined in src/modifier/modifier-type.ts:117

### setTier

- setTier(tier): void

- #### Parameters

  - tier: ModifierTier

  #### Returns void

  Inherited from PokemonModifierType.setTier

  - Defined in src/modifier/modifier-type.ts:71

### withIdFromFunc

- withIdFromFunc(func): ModifierType

- #### Parameters

  - func: ModifierTypeFunc

  #### Returns ModifierType

  Inherited from PokemonModifierType.withIdFromFunc

  - Defined in src/modifier/modifier-type.ts:112